Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Name: bc
Version: 1.06
Release: 15.XOS.1
License: GPL
URL: http://www.gnu.org/software/bc/
Group: Applications/Engineering
Source: ftp://ftp.gnu.org/gnu/bc/bc-%{version}.tar.bz2
Patch1: bc-1.06-readline42.patch
Patch2: bc-1.06-s390.patch
Patch3: bc-1.06-info_exp_bessel.patch
Prereq: /sbin/install-info grep
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive
arbitrary precision stack based calculator, which can be used as a
text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
%setup -q
%patch1 -p1 -b .rl22
%patch2 -p1 -b .s390
%patch3 -p1 -b .info_exp_bessel

%build
autoconf
%configure --with-readline
make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
gzip -n -9f $RPM_BUILD_ROOT/%{_infodir}/*


%clean
rm -rf $RPM_BUILD_ROOT

%post
# previous versions of bc put an improper entry into %{_infodir}/dir -- remove
# it
if grep 'dc: (bc)' %{_infodir}/dir > /dev/null; then
    tmpfile=`mktemp ${_infodir}/dir.XXXXXX`
    grep -v 'The GNU RPN calculator' < %{_infodir}/dir > $tmpfile
    mv -f $tmpfile %{_infodir}/dir
fi

/sbin/install-info %{_infodir}/dc.info.gz %{_infodir}/dir --entry="* dc: (dc).                      The GNU RPN calculator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/dc.info.gz %{_infodir}/dir --entry="* dc: (dc).                      The GNU RPN calculator."
fi

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB FAQ AUTHORS NEWS README
/usr/bin/dc
/usr/bin/bc
%{_mandir}/*/*
%{_infodir}/*

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.06-15.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on bc-1.06-15.src.rpm
  (md5sum of original source rpm: 0cba26b15b3160b260a595bf86a2f1a5).

* Thu Aug 14 2003 Thomas Woerner <twoerner@redhat.com> 1.06-15
- fixed incorrect capitalization in bc info page (#89851)

* Tue Jun 17 2003 Thomas Woerner <twoerner@redhat.com> 1.06-14
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.06-11
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.06-8
- Rebuild

* Mon Feb  4 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.06-7
- s/Copyright/License/
- The %%doc file AUTHOR should be AUTHORS

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Sep  9 2001 Phil Knirsch <phil@redhat.de> 1.06-5
- Fixed a variable initialization problem in load.c which broke badly on S390.

* Fri May 11 2001 Preston Brown <pbrown@redhat.com> 1.06-4
- use mktemp, not the pid shell variable, in rpm scriptlets

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.06-3
- rebuild with new readline
- Add patch to fix compilation with recent readline versions

* Fri Dec 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Add COPYING, COPYING.LIB, FAQ, AUTHORS, NEWS, README

* Sun Nov 19 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to bc 1.06

* Fri Jul 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%makeinstall, %%configure, %%{_mandir}, %%{_infodir}
  and %%{_tmppath}  

* Wed May 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added URL
- let build system handle man page gzipping

* Thu Apr 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed bug 7145 (long commands -> coredump) 
- removed explicit stripping, it does this by itself anyway
- gzipped man-pages

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new readline (4.1)

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new readline (4.0)
- fix Source URL
- some spec file cleanups

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
